---
title: '`glab ci`'
stage: AI Coding
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Work with GitLab CI/CD pipelines and jobs.

## Synopsis

Manages CI/CD pipelines and jobs in your GitLab project.

Use these commands to manage CI/CD pipelines and jobs. You can also
lint and compile CI/CD configuration files.

The `pipe` and `pipeline` aliases are deprecated. Use `ci` instead.

```plaintext
glab ci <command> [flags]
```

## Aliases

```plaintext
pipe
pipeline
```

## Options

```plaintext
  -R, --repo string   Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.
```

## Options inherited from parent commands

```plaintext
  -h, --help   Show help for this command.
```

## Subcommands

- [`cancel`](cancel/_index.md)
- [`config`](config/_index.md)
- [`delete`](delete.md)
- [`get`](get.md)
- [`lint`](lint.md)
- [`list`](list.md)
- [`retry`](retry.md)
- [`run`](run.md)
- [`run-trig`](run-trig.md)
- [`status`](status.md)
- [`trace`](trace.md)
- [`trigger`](trigger.md)
- [`view`](view.md)
